using SqlSugar;
using Volo.Abp.Auditing;
using Volo.Abp.Domain.Entities;

namespace NPin.Framework.Upms.Domain.Entities;

[SugarTable("UserMetadata", "用户元数据表")]
public class UserMetaEntity : Entity<Guid>, IAuditedObject
{
    [SugarColumn(IsPrimaryKey = true)] public override Guid Id { get; protected set; }

    public Guid UserId;

    [SugarColumn(ColumnDescription = "元数据 键")]
    public string Key { get; set; }

    [SugarColumn(ColumnDescription = "元数据 值")]
    public string Value { get; set; }

    public DateTime CreationTime { get; }
    public Guid? CreatorId { get; }
    public DateTime? LastModificationTime { get; }
    public Guid? LastModifierId { get; }
}